Skip to content

Set file permissions

POST
/v1/sandbox/{sandboxID}/filesystem/set-permissions

Set the mode, owner, and/or group of a file or directory.

sandboxID
required
string

Unique sandbox identifier.

object
path
required

Path to the file or directory.

string
mode

Octal permission string (e.g. 755).

string
nullable
owner

New owner name.

string
nullable
group

New group name.

string
nullable

Permissions updated.

Bad request – validation error.

object
message
required

Summary message, e.g. “Invalid request”.

string
errors
required
Array<object>
object
field
required

JSON field name that failed validation (e.g. “path”, “command”).

string
error
required

Human-readable description of the validation failure.

string

Unauthorized – invalid or missing API key.

object
message
required

Human-readable error message.

string

Resource not found.

object
message
required

Human-readable error message.

string